Subject: Re: GSO / TSO offload dependency

From: Deepak <[email-masked]>
Date: Wed, 5 Jun 2013 09:28:43 +0000 (UTC)

> > If hardware supports TSO, and  If TSO and GSO are both enabled, ...
> > what will happen to segmentation assembly by means of GSO ...
> > GSO will not do any segmentatoin assembly for TCP alone and will do
> > for other protocols ??  bit confused here? Please clarify.
> 
> Your understanding is correct.
> 
> Ben.
> 

I havn't understood this one, In case of TCP Protocol (Hardware support TSO 
and TSO & GSO are enabled), will it go through the GSO  segmentation assembly 
code ??